ScornedMacros_Data = {
	HEAL_OVER_TIME = "Rejuvenation";
	HEAL_OVER_TIME_ICON = "Interface\\Icons\\Spell_Nature_Rejuvenation";
	BIG_HEAL = "Healing Touch";
	NORMAL_HEAL = "Healing Touch(Rank 8)";
	PRE_BIG_HEAL = "Nature's Swiftness";
};

function ScornedMacros_MainTankHeal_Druid()
	local unit = "target";
	local name = UnitName(unit);
	local class = nil;
	_, class = UnitClass(unit);
	if ( class == "WARRIOR" ) then 
		if ( UnitHealth(unit)/UnitHealthMax(unit)<=0.30 ) then 
			local preBigHealId = ScornedMacros_GetSpellId(ScornedMacros_Data.PRE_BIG_HEAL);
			if ( preBigHealId ) then
				local isMT = false;
				for k,v in pairs(CT_RATarget.MainTanks) do 
					if ( type(v) == "table" ) and ( n == v[2] ) then 
						isMT = true;
						break;
					end 
				end 
				s,d = GetSpellCooldown(preBigHealId, "spell");
				if ( isMT ) and ( s + d <= 0 ) then 
					CastSpell(preBigHealId, "spell");
					SpellStopCasting();
				end 
			end
			CastSpellByName(ScornedMacros_Data.BIG_HEAL);
		else 
			CastSpellByName(ScornedMacros_Data.NORMAL_HEAL);
		end 
	else 
		ScornedMacros_UseSpellIfNotHasBuff(unit, ScornedMacros_Data.HEAL_OVER_TIME, ScornedMacros_Data.HEAL_OVER_TIME_ICON);
	end
end

